ATOMICCOUNTER(3G)

NAME
atomicCounter - return the current value of an atomic counter

DECLARATION

uint atomicCounter(atomic_uint c);

PARAMETERS

c
    Specify the handle to the atomic counter whose value to return.

DESCRIPTION

atomicCounter returns the current value of the atomic counter c.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
atomicCounter | - | - | - | - | - | - | - | - | ✔ | ✔ | ✔ | ✔

SEE ALSO

atomicCounterIncrement(), atomicCounterDecrement()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group